<html>
<head>
<title>Ogre::ParticleSystemRenderer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">ParticleSystemRenderer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ParticleSystemRenderer Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ParticleSystemRenderer" --><!-- doxytag: inherits="Ogre::StringInterface,Ogre::AllocatedObject" -->
<p>Abstract class defining the interface required to be implemented by classes which provide rendering capability to <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> instances.  
 <a href="classOgre_1_1ParticleSystemRenderer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ParticleSystemRenderer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ParticleSystemRenderer__inherit__graph.gif" border="0" usemap="#Ogre_1_1ParticleSystemRenderer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ParticleSystemRenderer_inherit__map" id="Ogre_1_1ParticleSystemRenderer_inherit__map">
<area shape="rect" id="node7" href="classOgre_1_1BillboardParticleRenderer.html" title="Specialisation of ParticleSystemRenderer to render particles using a BillboardSet." alt="" coords="37,160,243,189"/><area shape="rect" id="node2" href="classOgre_1_1StringInterface.html" title="Class defining the common interface which classes can use to present a reflection&#45;style, self&#45;defining parameter set to callers." alt="" coords="5,5,147,35"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="171,5,237,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ParticleSystemRenderer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a18d83b417a606c9d40f87fffe003ef2a">ParticleSystemRenderer</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a18d83b417a606c9d40f87fffe003ef2a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#acedd9af6338bc40603a571333be5f5f9">~ParticleSystemRenderer</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#acedd9af6338bc40603a571333be5f5f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a82a2512365fd27ffcd1b597751491547">getType</a> (void) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the type of this renderer - must be implemented by subclasses.  <a href="#a82a2512365fd27ffcd1b597751491547"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a1fc2eaa453f8e592b14a6a461c09c5f9">_updateRenderQueue</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type &amp;currentParticles, bool cullIndividually)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#a94d43799a38e70fbed4cd53cf0bfdb53" title="Overridden from MovableObject.">ParticleSystem::_updateRenderQueue</a>.  <a href="#a1fc2eaa453f8e592b14a6a461c09c5f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#acef7b4bfb05626da291588d55f768cc9">_setMaterial</a> (<a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the material this renderer must use; called by <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  <a href="#acef7b4bfb05626da291588d55f768cc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a36ec310fb97f85ed7ca1d5176024bfcc">_notifyCurrentCamera</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#a2a51ddf360d8c36cab0e3b636757af5c" title="Overridden from MovableObject.">ParticleSystem::_notifyCurrentCamera</a>.  <a href="#a36ec310fb97f85ed7ca1d5176024bfcc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aa77068e24ca3ff941e5608f841eee433">_notifyAttached</a> (<a class="el" href="classOgre_1_1Node.html">Node</a> *parent, bool isTagPoint=false)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#a2937e606da2beda93f8b65695de90d0b" title="Overridden from MovableObject.">ParticleSystem::_notifyAttached</a>.  <a href="#aa77068e24ca3ff941e5608f841eee433"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a135d07c57490da7dccb849e0058c2b24">_notifyParticleRotated</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional callback notified when particles are rotated.  <a href="#a135d07c57490da7dccb849e0058c2b24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a7d780e51ef230c6e00e53ca6b0f0f3f6">_notifyParticleResized</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional callback notified when particles are resized individually.  <a href="#a7d780e51ef230c6e00e53ca6b0f0f3f6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a018bd2ae834c1aba8b9fa79116e67c44">_notifyParticleQuota</a> (size_t quota)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells the renderer that the particle quota has changed.  <a href="#a018bd2ae834c1aba8b9fa79116e67c44"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a2e0b651fd9d845b9bc70e9aaf64e5915">_notifyDefaultDimensions</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tells the renderer that the particle default size has changed.  <a href="#a2e0b651fd9d845b9bc70e9aaf64e5915"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aec55835fcde21e77487cfbb20f439944">_notifyParticleEmitted</a> (<a class="el" href="classOgre_1_1Particle.html">Particle</a> *particle)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional callback notified when particle emitted.  <a href="#aec55835fcde21e77487cfbb20f439944"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a64ca1a8e9f77c857d2ffdab29fbdd598">_notifyParticleExpired</a> (<a class="el" href="classOgre_1_1Particle.html">Particle</a> *particle)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional callback notified when particle expired.  <a href="#a64ca1a8e9f77c857d2ffdab29fbdd598"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a7fd98dec902f124c7c51c1cbe7356364">_notifyParticleMoved</a> (<a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type &amp;currentParticles)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional callback notified when particles moved.  <a href="#a7fd98dec902f124c7c51c1cbe7356364"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aa76e67b53dd09f60313e9ebfb59ed5c0">_notifyParticleCleared</a> (<a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type &amp;currentParticles)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional callback notified when particles cleared.  <a href="#aa76e67b53dd09f60313e9ebfb59ed5c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a76d2732e63a02c925cca738e1d55b7e9">_createVisualData</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle to perform th...">ParticleVisualData</a> instance for attachment to a particle.  <a href="#a76d2732e63a02c925cca738e1d55b7e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#addc7a41c0c6aba115a7ca23219001690">_destroyVisualData</a> (<a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *vis)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroy a <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle to perform th...">ParticleVisualData</a> instance.  <a href="#addc7a41c0c6aba115a7ca23219001690"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ac586ecbee5141ce024ff371de137a952">setRenderQueueGroup</a> (<a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets which render queue group this renderer should target with it's output.  <a href="#ac586ecbee5141ce024ff371de137a952"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a9d51542da9e252f542e9ba7d89f575c1">setKeepParticlesInLocalSpace</a> (bool keepLocal)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Setting carried over from <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>.  <a href="#a9d51542da9e252f542e9ba7d89f575c1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__General.html#ga73dc0089e326fa37f93a30bf67ba7e3a">SortMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a2b90d2d5d6b6a46e59e409c54d7dc198">_getSortMode</a> (void) const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the desired particles sort mode of this renderer.  <a href="#a2b90d2d5d6b6a46e59e409c54d7dc198"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#afe69c31bb92ee5c1e97bcb5ced09f862">visitRenderables</a> (<a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *visitor, bool debugRenderables=false)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Required method to allow the renderer to communicate the Renderables it will be using to render the system to a visitor.  <a href="#afe69c31bb92ee5c1e97bcb5ced09f862"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the parameter dictionary for this class.  <a href="#ae3e13925bde11db245f6c9bbf5031a93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a> (void) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves a list of parameters valid for this object.  <a href="#adfedfcc90e1d602ec6fa646d4d90f17f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic parameter setting method.  <a href="#ace884b65b722ead9b920b9abf27bf815"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a> (const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> &amp;paramList)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic multiple parameter setting method.  <a href="#ae356913ccefbebc4f0119a0599a406fc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic parameter retrieval method.  <a href="#a57397ce47f649e66c5654da05207df0b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a> (<a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *dest) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for copying this object's parameters to another object.  <a href="#a702af78cbc4869e64c369fb11c4f1eb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g.  <a href="#a1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;className)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for creating a parameter dictionary for the class, if it does not already exist.  <a href="#a681773443d95aea05a486c5d22c15bd1"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Abstract class defining the interface required to be implemented by classes which provide rendering capability to <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a> instances. </p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00049">49</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a18d83b417a606c9d40f87fffe003ef2a"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::ParticleSystemRenderer" ref="a18d83b417a606c9d40f87fffe003ef2a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a18d83b417a606c9d40f87fffe003ef2a">Ogre::ParticleSystemRenderer::ParticleSystemRenderer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00053">53</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="acedd9af6338bc40603a571333be5f5f9"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::~ParticleSystemRenderer" ref="acedd9af6338bc40603a571333be5f5f9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#acedd9af6338bc40603a571333be5f5f9">Ogre::ParticleSystemRenderer::~ParticleSystemRenderer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destructor. </p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00055">55</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a76d2732e63a02c925cca738e1d55b7e9"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_createVisualData" ref="a76d2732e63a02c925cca738e1d55b7e9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a>* <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a76d2732e63a02c925cca738e1d55b7e9">Ogre::ParticleSystemRenderer::_createVisualData</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle to perform th...">ParticleVisualData</a> instance for attachment to a particle. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If this renderer needs additional data in each particle, then this should be held in an instance of a subclass of <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle to perform th...">ParticleVisualData</a>, and this method should be overridden to return a new instance of it. The default behaviour is to return null. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00097">97</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="addc7a41c0c6aba115a7ca23219001690"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_destroyVisualData" ref="addc7a41c0c6aba115a7ca23219001690" args="(ParticleVisualData *vis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#addc7a41c0c6aba115a7ca23219001690">Ogre::ParticleSystemRenderer::_destroyVisualData</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParticleVisualData.html">ParticleVisualData</a> *&#160;</td>
          <td class="paramname"><em>vis</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Destroy a <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle to perform th...">ParticleVisualData</a> instance. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>If this renderer needs additional data in each particle, then this should be held in an instance of a subclass of <a class="el" href="classOgre_1_1ParticleVisualData.html" title="Abstract class containing any additional data required to be associated with a particle to perform th...">ParticleVisualData</a>, and this method should be overridden to destroy an instance of it. The default behaviour is to do nothing. </dd></dl>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00105">105</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2b90d2d5d6b6a46e59e409c54d7dc198"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_getSortMode" ref="a2b90d2d5d6b6a46e59e409c54d7dc198" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__General.html#ga73dc0089e326fa37f93a30bf67ba7e3a">SortMode</a> <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a2b90d2d5d6b6a46e59e409c54d7dc198">Ogre::ParticleSystemRenderer::_getSortMode</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the desired particles sort mode of this renderer. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a5648247c792e417847b2e63884ba154d">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aa77068e24ca3ff941e5608f841eee433"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyAttached" ref="aa77068e24ca3ff941e5608f841eee433" args="(Node *parent, bool isTagPoint=false)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aa77068e24ca3ff941e5608f841eee433">Ogre::ParticleSystemRenderer::_notifyAttached</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Node.html">Node</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isTagPoint</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#a2937e606da2beda93f8b65695de90d0b" title="Overridden from MovableObject.">ParticleSystem::_notifyAttached</a>. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#ad2f65bee7925cb6cf0494d759527ea52">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a36ec310fb97f85ed7ca1d5176024bfcc"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyCurrentCamera" ref="a36ec310fb97f85ed7ca1d5176024bfcc" args="(Camera *cam)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a36ec310fb97f85ed7ca1d5176024bfcc">Ogre::ParticleSystemRenderer::_notifyCurrentCamera</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#a2a51ddf360d8c36cab0e3b636757af5c" title="Overridden from MovableObject.">ParticleSystem::_notifyCurrentCamera</a>. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#ac9978c52b947f125de22a5d34cef6afa">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a2e0b651fd9d845b9bc70e9aaf64e5915"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyDefaultDimensions" ref="a2e0b651fd9d845b9bc70e9aaf64e5915" args="(Real width, Real height)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a2e0b651fd9d845b9bc70e9aaf64e5915">Ogre::ParticleSystemRenderer::_notifyDefaultDimensions</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells the renderer that the particle default size has changed. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a1afd4cc34e7377e3b24ed966f14bb1e6">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="aa76e67b53dd09f60313e9ebfb59ed5c0"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleCleared" ref="aa76e67b53dd09f60313e9ebfb59ed5c0" args="(list&lt; Particle * &gt;::type &amp;currentParticles)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aa76e67b53dd09f60313e9ebfb59ed5c0">Ogre::ParticleSystemRenderer::_notifyParticleCleared</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type &amp;&#160;</td>
          <td class="paramname"><em>currentParticles</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional callback notified when particles cleared. </p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00089">89</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aec55835fcde21e77487cfbb20f439944"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleEmitted" ref="aec55835fcde21e77487cfbb20f439944" args="(Particle *particle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#aec55835fcde21e77487cfbb20f439944">Ogre::ParticleSystemRenderer::_notifyParticleEmitted</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Particle.html">Particle</a> *&#160;</td>
          <td class="paramname"><em>particle</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional callback notified when particle emitted. </p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00083">83</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a64ca1a8e9f77c857d2ffdab29fbdd598"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleExpired" ref="a64ca1a8e9f77c857d2ffdab29fbdd598" args="(Particle *particle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a64ca1a8e9f77c857d2ffdab29fbdd598">Ogre::ParticleSystemRenderer::_notifyParticleExpired</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Particle.html">Particle</a> *&#160;</td>
          <td class="paramname"><em>particle</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional callback notified when particle expired. </p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00085">85</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7fd98dec902f124c7c51c1cbe7356364"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleMoved" ref="a7fd98dec902f124c7c51c1cbe7356364" args="(list&lt; Particle * &gt;::type &amp;currentParticles)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a7fd98dec902f124c7c51c1cbe7356364">Ogre::ParticleSystemRenderer::_notifyParticleMoved</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type &amp;&#160;</td>
          <td class="paramname"><em>currentParticles</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional callback notified when particles moved. </p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00087">87</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a018bd2ae834c1aba8b9fa79116e67c44"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleQuota" ref="a018bd2ae834c1aba8b9fa79116e67c44" args="(size_t quota)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a018bd2ae834c1aba8b9fa79116e67c44">Ogre::ParticleSystemRenderer::_notifyParticleQuota</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>quota</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tells the renderer that the particle quota has changed. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#ac279c2a3702d2f1ffa6246d19df3c5c9">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a7d780e51ef230c6e00e53ca6b0f0f3f6"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleResized" ref="a7d780e51ef230c6e00e53ca6b0f0f3f6" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a7d780e51ef230c6e00e53ca6b0f0f3f6">Ogre::ParticleSystemRenderer::_notifyParticleResized</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional callback notified when particles are resized individually. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a7157e40ae9b6a7f61fb9fab5a4da4eee">Ogre::BillboardParticleRenderer</a>.</p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00077">77</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a135d07c57490da7dccb849e0058c2b24"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_notifyParticleRotated" ref="a135d07c57490da7dccb849e0058c2b24" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a135d07c57490da7dccb849e0058c2b24">Ogre::ParticleSystemRenderer::_notifyParticleRotated</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional callback notified when particles are rotated. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a2bb9126250a6ba817f47f75bd49f4d62">Ogre::BillboardParticleRenderer</a>.</p>

<p>Definition at line <a class="el" href="OgreParticleSystemRenderer_8h_source.html#l00075">75</a> of file <a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a>.</p>

</div>
</div>
<a class="anchor" id="acef7b4bfb05626da291588d55f768cc9"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_setMaterial" ref="acef7b4bfb05626da291588d55f768cc9" args="(MaterialPtr &amp;mat)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#acef7b4bfb05626da291588d55f768cc9">Ogre::ParticleSystemRenderer::_setMaterial</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>mat</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the material this renderer must use; called by <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#aa9bddaa902bcf8fee7a5a7b7e7c5d627">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a1fc2eaa453f8e592b14a6a461c09c5f9"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::_updateRenderQueue" ref="a1fc2eaa453f8e592b14a6a461c09c5f9" args="(RenderQueue *queue, list&lt; Particle * &gt;::type &amp;currentParticles, bool cullIndividually)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a1fc2eaa453f8e592b14a6a461c09c5f9">Ogre::ParticleSystemRenderer::_updateRenderQueue</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&#160;</td>
          <td class="paramname"><em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1Particle.html">Particle</a> * &gt;::type &amp;&#160;</td>
          <td class="paramname"><em>currentParticles</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>cullIndividually</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delegated to by <a class="el" href="classOgre_1_1ParticleSystem.html#a94d43799a38e70fbed4cd53cf0bfdb53" title="Overridden from MovableObject.">ParticleSystem::_updateRenderQueue</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The subclass must update the render queue using whichever <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> instance(s) it wishes. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#ac4b4adcc7bcda52dd3ac9f1b42332abb">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a1bea65fa2b3c2ac5a9f3be59b46a80e8"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::cleanupDictionary" ref="a1bea65fa2b3c2ac5a9f3be59b46a80e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">Ogre::StringInterface::cleanupDictionary</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Cleans up the static 'msDictionary' required to reset <a class="el" href="namespaceOgre.html">Ogre</a>, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> implementers (e.g. </p>
<p><a class="el" href="classOgre_1_1MaterialManager.html" title="Class for managing Material settings for Ogre.">MaterialManager</a>) initializes. </p>

</div>
</div>
<a class="anchor" id="a702af78cbc4869e64c369fb11c4f1eb5"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::copyParametersTo" ref="a702af78cbc4869e64c369fb11c4f1eb5" args="(StringInterface *dest) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">Ogre::StringInterface::copyParametersTo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a> *&#160;</td>
          <td class="paramname"><em>dest</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for copying this object's parameters to another object. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method takes the values of all the object's parameters and tries to set the same values on the destination object. This provides a completely type independent way to copy parameters to other objects. Note that because of the String manipulation involved, this should not be regarded as an efficient process and should be saved for times outside of the rendering loop. </dd></dl>
<dl class="user"><dt><b></b></dt><dd><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> unrecognised parameters will be ignored as with setParameter method. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">dest</td><td>Pointer to object to have it's parameters set the same as this object. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00301">301</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgreStringInterface_8h_source.html#l00093">Ogre::ParamDictionary::mParamDefs</a>, and <a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">Ogre::StringInterface::setParameter()</a>.</p>

</div>
</div>
<a class="anchor" id="a681773443d95aea05a486c5d22c15bd1"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::createParamDictionary" ref="a681773443d95aea05a486c5d22c15bd1" args="(const String &amp;className)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">Ogre::StringInterface::createParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>className</em></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for creating a parameter dictionary for the class, if it does not already exist. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method will check to see if a parameter dictionary exist for this class yet, and if not will create one. NB you must supply the name of the class (RTTI is not used or performance). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>the name of the class using the dictionary </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if a new dictionary was created, false if it was already there </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00184">184</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgrePrerequisites_8h.html#a8a4683cdaf73994ea7ec391c1ba82b60">OGRE_LOCK_MUTEX</a>.</p>

</div>
</div>
<a class="anchor" id="ae3e13925bde11db245f6c9bbf5031a93"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getParamDictionary" ref="ae3e13925bde11db245f6c9bbf5031a93" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* <a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">Ogre::StringInterface::getParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the parameter dictionary for this class. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Only valid to call this after createParamDictionary. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Pointer to <a class="el" href="classOgre_1_1ParamDictionary.html" title="Class to hold a dictionary of parameters for a single class.">ParamDictionary</a> shared by all instances of this class which you can add parameters to, retrieve parameters etc. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00217">217</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3bfa7791753a155b222dfb2706e5218c"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getParamDictionary" ref="a3bfa7791753a155b222dfb2706e5218c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a>* <a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">Ogre::StringInterface::getParamDictionary</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00222">222</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

</div>
</div>
<a class="anchor" id="a57397ce47f649e66c5654da05207df0b"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getParameter" ref="a57397ce47f649e66c5654da05207df0b" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">Ogre::StringInterface::getParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic parameter retrieval method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter to retrieve a string-format value of the parameter in question. If in doubt, check the parameter definition in the list returned from getParameters for the type of this parameter. If you like you can use <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> to convert this string back into a native type. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter to get </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>String value of parameter, blank if not found </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h_source.html#l00270">270</a> of file <a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1ParamCommand.html#ae47ea550693403baebbcde11c59e074f">Ogre::ParamCommand::doGet()</a>, and <a class="el" href="OgreStringInterface_8h_source.html#l00099">Ogre::ParamDictionary::getParamCommand()</a>.</p>

</div>
</div>
<a class="anchor" id="adfedfcc90e1d602ec6fa646d4d90f17f"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getParameters" ref="adfedfcc90e1d602ec6fa646d4d90f17f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#gac3c212f18e4a3e6aba496571cfbe5400">ParameterList</a>&amp; <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">Ogre::StringInterface::getParameters</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves a list of parameters valid for this object. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>A reference to a static list of <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection.">ParameterDef</a> objects. </dd></dl>

</div>
</div>
<a class="anchor" id="a82a2512365fd27ffcd1b597751491547"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::getType" ref="a82a2512365fd27ffcd1b597751491547" args="(void) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a82a2512365fd27ffcd1b597751491547">Ogre::ParticleSystemRenderer::getType</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the type of this renderer - must be implemented by subclasses. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a1b89daa4b32673170ce1e17e58363357">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9d51542da9e252f542e9ba7d89f575c1"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::setKeepParticlesInLocalSpace" ref="a9d51542da9e252f542e9ba7d89f575c1" args="(bool keepLocal)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#a9d51542da9e252f542e9ba7d89f575c1">Ogre::ParticleSystemRenderer::setKeepParticlesInLocalSpace</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>keepLocal</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Setting carried over from <a class="el" href="classOgre_1_1ParticleSystem.html" title="Class defining particle system based special effects.">ParticleSystem</a>. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a958635089f1339994d75c35d0315ac62">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ace884b65b722ead9b920b9abf27bf815"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::setParameter" ref="ace884b65b722ead9b920b9abf27bf815" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">Ogre::StringInterface::setParameter</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic parameter setting method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with the name of a parameter and a string version of the value to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The name of the parameter to set </td></tr>
    <tr><td class="paramname">value</td><td>String value. Must be in the right format for the type specified in the parameter definition. See the <a class="el" href="classOgre_1_1StringConverter.html" title="Class for converting the core Ogre data types to/from Strings.">StringConverter</a> class for more information. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if set was successful, false otherwise (NB no exceptions thrown - tolerant method) </dd></dl>

<p>Referenced by <a class="el" href="OgreStringInterface_8h_source.html#l00301">Ogre::StringInterface::copyParametersTo()</a>.</p>

</div>
</div>
<a class="anchor" id="ae356913ccefbebc4f0119a0599a406fc"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::setParameterList" ref="ae356913ccefbebc4f0119a0599a406fc" args="(const NameValuePairList &amp;paramList)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">Ogre::StringInterface::setParameterList</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> &amp;&#160;</td>
          <td class="paramname"><em>paramList</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generic multiple parameter setting method. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Call this method with a list of name / value pairs to set. The implementor will convert the string to a native type internally. If in doubt, check the parameter definition in the list returned from <a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f" title="Retrieves a list of parameters valid for this object.">StringInterface::getParameters</a>. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">paramList</td><td>Name/value pair list </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac586ecbee5141ce024ff371de137a952"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::setRenderQueueGroup" ref="ac586ecbee5141ce024ff371de137a952" args="(uint8 queueID)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ac586ecbee5141ce024ff371de137a952">Ogre::ParticleSystemRenderer::setRenderQueueGroup</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td>
          <td class="paramname"><em>queueID</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets which render queue group this renderer should target with it's output. </p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#ac57bebe2a341d9a5b0c15bb8e12aaa5a">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="afe69c31bb92ee5c1e97bcb5ced09f862"></a><!-- doxytag: member="Ogre::ParticleSystemRenderer::visitRenderables" ref="afe69c31bb92ee5c1e97bcb5ced09f862" args="(Renderable::Visitor *visitor, bool debugRenderables=false)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ParticleSystemRenderer.html#afe69c31bb92ee5c1e97bcb5ced09f862">Ogre::ParticleSystemRenderer::visitRenderables</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable_1_1Visitor.html">Renderable::Visitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>debugRenderables</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Required method to allow the renderer to communicate the Renderables it will be using to render the system to a visitor. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1MovableObject.html#a572b6aaa7a8b412163184a6c68ca3fa0" title="Method to allow a caller to abstractly iterate over the Renderable instances that this MovableObject ...">MovableObject::visitRenderables</a> </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a6b0d58cc3f4d5d6ebb96b592505abda7">Ogre::BillboardParticleRenderer</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreParticleSystemRenderer_8h_source.html">OgreParticleSystemRenderer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:01
</p>
</body>
</html>
